# opentl::core::cvdata::TemplateMap::TemplateMap::TMAPFEATURE Class Reference

Model Feature (obj. position + 2 descriptors + warped pos. + visibility). More...

List of all members.

## Public Member Functions
TMAPFEATURE * | clone () const
| Clone (calls the copy constructor).
TMAPFEATURE & | operator= (const TMAPFEATURE &value)
| Assignment operator.
| TMAPFEATURE (const TMAPFEATURE &value)
| Copy constructor (calls the assignment operator).
| TMAPFEATURE (int nRes, int dof)
| Constructor.
| ~TMAPFEATURE ()
| Destructor.
## Public Attributes
double | h [2]
| Warped (2D) position.
std::vector< double > | JX
| Warped (2D) Jacobian.
std::vector< double > | JY
std::vector< unsigned char > | v
| Offline Descriptor: Multi-resolution template values.
double | x [3]
| Body-frame position.

## Detailed Description

Model Feature (obj. position + 2 descriptors + warped pos. + visibility).

## Constructor & Destructor Documentation

opentl::core::cvdata::TemplateMap::TemplateMap::TMAPFEATURE::TMAPFEATURE | ( | int | nRes,
|  | int | dof |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | nRes | Number of resolutions
  | dof | Degrees of freedom (columns of screen Jacobian)

opentl::core::cvdata::TemplateMap::TemplateMap::TMAPFEATURE::TMAPFEATURE | ( | const TMAPFEATURE & | value | ) | `[inline]`

Copy constructor (calls the assignment operator).

opentl::core::cvdata::TemplateMap::TemplateMap::TMAPFEATURE::~TMAPFEATURE | ( |  | ) | `[inline]`

Destructor.

## Member Function Documentation

TMAPFEATURE* opentl::core::cvdata::TemplateMap::TemplateMap::TMAPFEATURE::clone | ( |  | ) | const`[inline]`

Clone (calls the copy constructor).

TMAPFEATURE& opentl::core::cvdata::TemplateMap::TemplateMap::TMAPFEATURE::operator= | ( | const TMAPFEATURE & | value | ) |

Assignment operator.

## Member Data Documentation

double opentl::core::cvdata::TemplateMap::TemplateMap::TMAPFEATURE::h[2]

Warped (2D) position.

std::vector<double> opentl::core::cvdata::TemplateMap::TemplateMap::TMAPFEATURE::JX

Warped (2D) Jacobian.

std::vector<double> opentl::core::cvdata::TemplateMap::TemplateMap::TMAPFEATURE::JY

std::vector<unsigned char> opentl::core::cvdata::TemplateMap::TemplateMap::TMAPFEATURE::v

Offline Descriptor: Multi-resolution template values.

double opentl::core::cvdata::TemplateMap::TemplateMap::TMAPFEATURE::x[3]

Body-frame position.